Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class WrapperException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.tangosol.util.WrapperException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WorkManager.ScheduleWorkRejectedException

      public class WrapperException

extends java.lang.RuntimeException

A WrapperException wraps a Throwable object as a RuntimeException.

Author:
  cp 2000.08.03
See Also:
  `CheckedWrapperException`

Constructor Summary
`WrapperException(java.lang.String s)` Construct a WrapperException with a specified detail message.
`WrapperException(java.lang.Throwable e)` Construct a WrapperException from a Throwable object.
`WrapperException(java.lang.Throwable e, java.lang.String s)` Construct a WrapperException from a Throwable object and an additional description.

Method Summary
`java.lang.String` | `getLocalizedMessage()` Creates a localized description of this `WrapperException`.
`java.lang.String` | `getMessage()` Returns the error message string of this WrapperException object.
`java.lang.Throwable` | `getOriginalException()`
`java.lang.String` | `getWrapper()`
`java.lang.String` | `toString()` Returns a short description of this WrapperException object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Constructor Detail

### WrapperException

    public WrapperException(java.lang.Throwable e,
                            java.lang.String s)

  Construct a WrapperException from a Throwable object and an additional description.
  Parameters:
    `e` - the Throwable object
    `s` - the additional description

### WrapperException

    public WrapperException(java.lang.Throwable e)

  Construct a WrapperException from a Throwable object.
  Parameters:
    `e` - the Throwable object

### WrapperException

    public WrapperException(java.lang.String s)

  Construct a WrapperException with a specified detail message.
  Parameters:
    `s` - the String that contains a detailed message

Method Detail

### getOriginalException

    public java.lang.Throwable getOriginalException()

  Returns:
    the original (wrapped) exception.

### getWrapper

    public java.lang.String getWrapper()

  Returns:
    a String that shows the original exception was wrapped

### getMessage

    public java.lang.String getMessage()

  Returns the error message string of this WrapperException object.
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the error message string of this `WrapperException`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Creates a localized description of this `WrapperException`. Subclasses may override this method in order to produce a locale-specific message. For subclasses that do not override this method, the default implementation returns the same result as `getMessage()`.
  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`
  Returns:
    The localized description of this `WrapperException`.

### toString

    public java.lang.String toString()

  Returns a short description of this WrapperException object.
  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    a string representation of this `WrapperException`.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.